/****************************
    Hero
****************************/

.yls_hero {
    --cue_offset: 72px;
    --cue_height: 60px;
    
    position: relative;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    justify-content: center;
    width: 100%;
}

.yls_hero .yls_container {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}

@media only screen and (max-width: 991px) {

    .yls_hero {
        --cue_offset: 60px;
        --cue_height: 60px;
    }

}

@media only screen and (max-width: 480px) {

    .yls_hero {
        --cue_offset: 48px;
        --cue_height: 48px;
    }

}

/***** Content *****/

.yls_hero-content {
    position: relative;
    z-index: 10;
    width: 100%;
}

@media only screen and (min-width: 992px) {
    
    .yls_hero.header-is-over .yls_hero-content {
        padding-top: calc( var(--height_header) / 2 );
    }

}

.yls_hero-content > .flex_auto__rows {
    --gap: 30px;
}

/* Headers */

.yls_hero-content h1,
.yls_hero-content h2,
.yls_hero-content h3,
.yls_hero-content h4,
.yls_hero-content h5 {
    margin-bottom: -0.2em;
}

.yls_hero-content h1 {
    font-size: var(--type-scale_xl-6);
    line-height: 1;
}

/* Text */

.yls_hero-content .yls_text {
    max-width: 38ch;
    font-size: var(--type-scale_lg);
    font-weight: 500;
}

/* Responsive */

@media only screen and (max-width: 991px) {
    
    .yls_hero-content {
        position: relative;
        z-index: 10;
        width: 100%;
        max-width: 650px;
        padding-top: var(--comp-spacing_outer);
        padding-bottom: calc( var(--comp-spacing_inner) + var(--cue_height)  + var(--cue_offset) );
    }
    
    .yls_hero.header-is-over .yls_hero-content {
        padding-top: calc( var(--comp-spacing_outer) + var(--height_header) );
    }

    /* Headers */

    .yls_hero-content h1,
    .yls_hero-content h2,
    .yls_hero-content h3,
    .yls_hero-content h4,
    .yls_hero-content h5 {
        text-align: center;
    }
    
    .yls_hero-content h1 {
        font-size: var(--type-scale_xl-4);
    }
    
    /* Text */

    .yls_hero-content .yls_text {
        margin-left: auto;
        margin-right: auto;
        text-align: center;
    }
    
    /* Button List */
    
    .yls_hero-content .yls_btn-list {
        justify-content: center;
    }

}

@media only screen and (max-width: 480px) {

    /* Headers */

    .yls_hero-content h1 {
        font-size: var(--type-scale_xl-3);
    }
    
    /* Text */

    .yls_hero-content .yls_text {
        font-size: var(--type-scale_md);
    }

}

/***** Visual *****/

.yls_hero-visual {
    position: relative;
}

.yls_hero-visual-item {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
}

/* Image */

.yls_hero-visual-img {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
}

.yls_hero-visual-img img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}

/* Carousel */

.yls_hero-visual-carousel {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
    overflow: visible;
}

.yls_hero-visual-carousel .swiper-slide img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}

/* Video */

.yls_hero-visual-video {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
    overflow: visible;
}

.yls_hero-visual-video video {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
}

/* Overlay */

.yls_hero-visual-overlay {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 5;
    width: 100%;
    height: 100%;
}

.yls_hero:not(.yls_comp) .yls_hero-visual-overlay {
    display: none;
}

/* Caption */

a.yls_hero-caption {
    position: absolute !important;
    right: -1px;
    top: -1px;
    z-index: 10;
    padding: calc( 10px - 0.2em ) 24px 10px 24px;
    background: rgba(255, 255, 255, 0.8);
    background: var(--color_secondary-500);
    border-radius: 0 0 0 var(--border-radius_md);
    color: #fff;
}

a.yls_hero-caption .yls_btn-link__label {
    max-width: 20ch;
    white-space: nowrap;
    overflow: hidden;
    float: right;
    text-overflow: ellipsis;
    font-weight: 500;
    line-height: var(--type-scale_lg);
    font-size: var(--type-scale_sm);
    color: #fff;
}

a.yls_hero-caption:hover,
a.yls_hero-caption:hover .yls_btn-link__label {
    color: #fff;
}

a.yls_hero-caption:hover .yls_btn-link__label {
    opacity: 0.6;
}

/***** Cue *****/

.yls_hero-cue {
    position: absolute;
    left: 50%;
    bottom: var(--cue_offset);
    transform: translate(-50%, 0);
    z-index: 20;
    display: inline-block;
    display: none;
    width: var(--cue_height);
    height: var(--cue_height);
    background: var(--color_primary-900);
    border-radius: var(--border-radius_md);
    box-shadow: var(--shadow_lg);
}

.yls_hero-cue i,
.yls_hero-cue img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.yls_hero-cue i {
    text-align: center;
    font-size: var(--type-scale_lg);
    line-height: 1;
    color: #fff;
}

.yls_hero-cue img {
    max-width: 50%;
    max-height: 50%;
}

@media only screen and (max-width: 480px) {

    .yls_hero-cue i {
        font-size: var(--type-scale_md);
    }

}

/****************************
    Hero - Desktop Visual Type: Full
****************************/

/***** Content *****/

.yls_hero.desk-v__full .yls_container {
    align-items: center;
}

.yls_hero.desk-v__full .yls_hero-content {
    position: relative;
    z-index: 10;
    width: 100%;
    max-width: clamp(0px, 650px, 60vw);
}

@media only screen and (min-width: 992px) {
    
    /* Headers */

    .yls_hero.desk-v__full .yls_hero-content h1,
    .yls_hero.desk-v__full .yls_hero-content h2,
    .yls_hero.desk-v__full .yls_hero-content h3,
    .yls_hero.desk-v__full .yls_hero-content h4,
    .yls_hero.desk-v__full .yls_hero-content h5,
    .yls_hero.desk-v__full .yls_hero-content h6 {
        color: #fff;
    }
    
    /* Text */
    
    .yls_hero.desk-v__full .yls_hero-content .yls_text {
        color: #fff;
    }

    /* Alignment - Left */
    
    .yls_hero.desk-v__full.alignment__left .yls_container {
        justify-content: flex-start;
    }
    
    .yls_hero.desk-v__full.alignment__left .yls_hero-content h1,
    .yls_hero.desk-v__full.alignment__left .yls_hero-content h2,
    .yls_hero.desk-v__full.alignment__left .yls_hero-content h3,
    .yls_hero.desk-v__full.alignment__left .yls_hero-content h4,
    .yls_hero.desk-v__full.alignment__left .yls_hero-content h5,
    .yls_hero.desk-v__full.alignment__left .yls_hero-content h6 {
        text-align: left;
    }
    
    .yls_hero.desk-v__full.alignment__left .yls_hero-content .yls_text {
        text-align: left;
    }
    
    .yls_hero.desk-v__full.alignment__left .yls_hero-content .yls_btn-list {
        justify-content: flex-start;
    }
    
    .yls_hero.desk-v__full.alignment__left .yls_hero-visual-overlay {
        background: linear-gradient(90deg, #000 0%, rgba(0, 0, 0, 0) 100%);
    }
    
    /* Alignment - Center */
    
    .yls_hero.desk-v__full.alignment__center .yls_container {
        justify-content: center;
    }
    
    .yls_hero.desk-v__full.alignment__center .yls_hero-content h1,
    .yls_hero.desk-v__full.alignment__center .yls_hero-content h2,
    .yls_hero.desk-v__full.alignment__center .yls_hero-content h3,
    .yls_hero.desk-v__full.alignment__center .yls_hero-content h4,
    .yls_hero.desk-v__full.alignment__center .yls_hero-content h5,
    .yls_hero.desk-v__full.alignment__center .yls_hero-content h6 {
        text-align: center;
    }
    
    .yls_hero.desk-v__full.alignment__center .yls_hero-content .yls_text {
        margin-left: auto;
        margin-right: auto;
        text-align: center;
    }
    
    .yls_hero.desk-v__full.alignment__center .yls_hero-content .yls_btn-list {
        justify-content: center;
    }
    
    .yls_hero.desk-v__full.alignment__center .yls_hero-visual-overlay {
        background: radial-gradient(circle at center, #000 0%, rgba(0,0,0,0) 100%);
    }
    
    /* Alignment - Right */
    
    .yls_hero.desk-v__full.alignment__right .yls_container {
        justify-content: flex-end;
    }
    
    .yls_hero.desk-v__full.alignment__right .yls_hero-content h1,
    .yls_hero.desk-v__full.alignment__right .yls_hero-content h2,
    .yls_hero.desk-v__full.alignment__right .yls_hero-content h3,
    .yls_hero.desk-v__full.alignment__right .yls_hero-content h4,
    .yls_hero.desk-v__full.alignment__right .yls_hero-content h5,
    .yls_hero.desk-v__full.alignment__right .yls_hero-content h6 {
        text-align: right;
    }
    
    .yls_hero.desk-v__full.alignment__right .yls_hero-content .yls_text {
        margin-left: auto;
        text-align: right;
    }
    
    .yls_hero.desk-v__full.alignment__right .yls_hero-content .yls_btn-list {
        justify-content: flex-end;
    }
    
    .yls_hero.desk-v__full.alignment__right .yls_hero-visual-overlay {
        background: linear-gradient(-90deg, #000 0%, rgba(0, 0, 0, 0) 100%);
    }

}

/***** Visual *****/

.yls_hero.desk-v__full .yls_hero-visual {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    width: 100%;
    height: 100%;
}

/* Carousel */

.yls_hero .yls_carousel .swiper-button {
    width: 40px;
    height: 40px;
    border-width: 2px;
}

@media only screen and (min-width: 992px) {

    .yls_hero.desk-v__full.alignment__left .yls_hero-visual-carousel .swiper-pagination,
    .yls_hero.desk-v__full.alignment__right .yls_hero-visual-carousel .swiper-pagination {
        --gap: 8px;
        top: 50%;
        bottom: auto;
        transform: translate(0, -50%);
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        flex-direction: column;
        width: auto;
        margin: calc( var(--gap) / -2 ) 0;
        padding: 0;
    }
    
    .yls_hero.desk-v__full.alignment__left .yls_hero-visual-carousel .swiper-pagination {
        left: auto;
        right: 0;
        padding-right: 24px;
    }
    
    .yls_hero.desk-v__full.alignment__right .yls_hero-visual-carousel .swiper-pagination {
        left: 0;
        right: auto;
        padding-left: 24px;
    }
    
    .yls_hero.desk-v__full.alignment__left .yls_hero-visual-carousel .swiper-pagination-bullet,
    .yls_hero.desk-v__full.alignment__right .yls_hero-visual-carousel .swiper-pagination-bullet {
        margin: calc( var(--gap) / 2 ) 0;
    }

    .yls_hero.desk-v__full.alignment__left .yls_hero-visual-carousel .swiper-navigation,
    .yls_hero.desk-v__full.alignment__right .yls_hero-visual-carousel .swiper-navigation {
        --gap: 12px;
        position: absolute;
        bottom: 24px;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        flex-direction: row;
        align-items: center;
        margin: 0 calc( var(--gap) / -2 );
    }
    
    .yls_hero.desk-v__full.alignment__left .yls_hero-visual-carousel .swiper-navigation {
        right: 24px;
    }
    
    .yls_hero.desk-v__full.alignment__right .yls_hero-visual-carousel .swiper-navigation {
        left: 24px;
    }
    
    .yls_hero.desk-v__full.alignment__left .yls_hero-visual-carousel .swiper-button,
    .yls_hero.desk-v__full.alignment__right .yls_hero-visual-carousel .swiper-button {
        position: relative;
        top: auto;
        left: auto;
        right: auto;
        transform: none;
        margin: 0 calc( var(--gap) / 2 );
    }

}

/* Overlay */

.yls_hero.desk-v__full .yls_hero-visual-overlay {
    opacity: 0.5;
}

/****************************
    Hero - Desktop Visual Type: Docked
****************************/

@media only screen and (min-width: 992px) {

    /***** Content *****/
    
    .yls_hero[class*="desk-v__docked"] .yls_hero-content {
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        align-items: center;
        width: 50%;
    }
    
    .yls_hero.desk-v__docked-left .yls_hero-content {
        margin-left: auto;
        padding-left: 72px;
    }
    
    .yls_hero.desk-v__docked-right .yls_hero-content {
        margin-right: auto;
        padding-right: 72px;
    }
    
    /***** Visual *****/
    
    .yls_hero[class*="desk-v__docked"] .yls_hero-visual {
        position: absolute;
        top: 0;
        width: 50%;
        height: 100%;
    }
    
    .yls_hero.desk-v__docked-left .yls_hero-visual {
        left: 0;
    }
    
    .yls_hero.desk-v__docked-right .yls_hero-visual {
        right: 0;
    }

}

/****************************
    Hero - Height Settings
****************************/

.yls_hero.height__full {
    --height: 80vh;
}

.yls_hero.height__adaptive {
    --height: 60vh;
}

.yls_hero .yls_container {
    height: var(--height);
}

.yls_hero.header-is-above .yls_container {
    height: calc( var(--height) - var(--height_header) );
}

@media only screen and (max-width: 991px) {

    .yls_hero.height__adaptive .yls_container {
        justify-content: center;
        height: auto;
    }

}

/****************************
    Hero - Mobile Visual Type: Full
****************************/

@media only screen and (max-width: 991px) {

    .yls_hero.height__full.mobi-v__full .yls_container {
        justify-content: center;
        align-items: center;
    }
    
    /***** Content *****/
    
    /* Headers */
    
    .yls_hero.mobi-v__full .yls_hero-content h1,
    .yls_hero.mobi-v__full .yls_hero-content h2,
    .yls_hero.mobi-v__full .yls_hero-content h3,
    .yls_hero.mobi-v__full .yls_hero-content h4,
    .yls_hero.mobi-v__full .yls_hero-content h5,
    .yls_hero.mobi-v__full .yls_hero-content h6 {
        color: #fff;
    }
    
    /* Text */
    
    .yls_hero.mobi-v__full .yls_hero-content .yls_text {
        color: #fff;
    }
    
    /***** Visual *****/
    
    .yls_hero.mobi-v__full .yls_hero-visual {
        position: absolute;
        top: 0;
        left: 0;
        z-index: 5;
        width: 100%;
        height: 100%;
    }
    
    /* Overlay */
    
    .yls_hero.mobi-v__full .yls_hero-visual-overlay {
        background: radial-gradient(circle at center, #000 0%, rgba(0,0,0,0) 100%);
        opacity: 0.6;
    }

}

/****************************
    Hero - Mobile Visual Type: Docked
****************************/

@media only screen and (max-width: 991px) {
    
    .yls_hero.mobi-v__docked-down {
        --cue_offset: 0px;
        --cue_height: 0px;
        --visual_ratio: 0.618;
    }

    .yls_hero.mobi-v__docked-down .yls_container {
        flex-direction: column;
        height: auto;
        margin-bottom: calc( (100% - 96px) * (var(--visual_ratio) / 2) );
        background: var(--color_primary-300);
    }
    
    /***** Visual *****/
    
    .yls_hero.mobi-v__docked-down .yls_hero-visual {
        position: relative;
        top: auto;
        left: auto;
        width: 100%;
        height: auto;
        margin-bottom: calc( 100% * ( var(--visual_ratio) / -2 ) );
        padding-bottom: calc( 100% * var(--visual_ratio) );
    }
    
    /***** Cue *****/

    .yls_hero.mobi-v__docked-down .yls_hero-cue {
        display: none !important;
    }
}